> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evento charge.succeeded

> Evento charge.succeeded.

## Evento `charge.succeeded`

Disparado quando uma `charge` chega ao estado `succeeded`.

`data.object` usa o mesmo shape de [`GET /v1/charges/:id`](/api-reference/charges/get).

<ResponseExample>
  ```json 200 theme={}
  {
    "id": "evt_123",
    "object": "event",
    "created_at": "2026-05-19T18:35:00Z",
    "data": {
      "object": {
        "id": "ch_123",
        "object": "charge",
        "amount": 9990,
        "amount_captured": 9990,
        "amount_refunded": 0,
        "billing_details": {},
        "captured": true,
        "created_at": "2026-05-19T18:34:58Z",
        "currency": "brl",
        "customer": "cus_123",
        "description": null,
        "disputed": false,
        "invoice": "inv_123",
        "livemode": true,
        "metadata": {},
        "paid": true,
        "payment_error": null,
        "payment_intent": "pi_123",
        "payment_method": "pm_123",
        "payment_method_details": {},
        "receipt_url": null,
        "refunded": false,
        "refunds": {
          "object": "list",
          "data": [],
          "has_more": false,
          "url": "/v1/refunds?charge=ch_123"
        },
        "status": "succeeded",
        "updated_at": "2026-05-19T18:35:00Z"
      }
    },
    "livemode": true,
    "organization": "org_123",
    "request": {
      "id": null
    },
    "type": "charge.succeeded"
  }
  ```
</ResponseExample>
